Bug 85442 - Add dpcm to css3-images image-resolution
Summary: Add dpcm to css3-images image-resolution
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Barr
URL: http://www.w3.org/TR/2012/CR-css3-ima...
Keywords:
Depends on: 85439
Blocks: 85262
  Show dependency treegraph
 
Reported: 2012-05-02 18:13 PDT by David Barr
Modified: 2012-06-14 03:21 PDT (History)
7 users (show)

See Also:


Attachments
Patch (8.23 KB, patch)
2012-05-02 18:23 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch (9.45 KB, patch)
2012-05-23 23:33 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch (9.22 KB, patch)
2012-05-30 17:48 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch (11.64 KB, patch)
2012-06-12 22:32 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch for landing (12.41 KB, patch)
2012-06-13 13:07 PDT, David Barr
no flags Details | Formatted Diff | Diff
Patch for landing (12.32 KB, patch)
2012-06-13 22:22 PDT, David Barr
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Barr 2012-05-02 18:13:10 PDT
The css3-images module is at candidate recommendation.
http://www.w3.org/TR/2012/CR-css3-images-20120417/#image-resolution

I propose to introduce image-resolution, initially behind a runtime feature flag.

Advertised on webkit-dev:
http://thread.gmane.org/gmane.os.opendarwin.webkit.devel/20505

As a third step, add support for dpcm values.
Comment 1 David Barr 2012-05-02 18:23:10 PDT
Created attachment 139932 [details]
Patch
Comment 2 David Barr 2012-05-23 23:33:14 PDT
Created attachment 143742 [details]
Patch

Updated ref-test.
Comment 3 David Barr 2012-05-30 17:48:23 PDT
Created attachment 144958 [details]
Patch

Updated patch to use compile time flag.
Comment 4 David Barr 2012-06-12 22:32:45 PDT
Created attachment 147232 [details]
Patch

Rebased against pending patch https://bugs.webkit.org/attachment.cgi?id=147213
Comment 5 David Barr 2012-06-13 07:56:52 PDT
Comment on attachment 147232 [details]
Patch

Support for dpi has landed; r120194: <http://trac.webkit.org/changeset/120194>
Comment 6 Tony Chang 2012-06-13 10:05:48 PDT
Comment on attachment 147232 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=147232&action=review

> Source/WebCore/ChangeLog:14
> +        * css/CSSGrammar.y:
> +        * css/CSSParser.cpp:
> +        (WebCore::CSSParser::validUnit):
> +        (WebCore::CSSParser::createPrimitiveNumericValue):
> +        (WebCore::unitFromString):

It's good to explain what you're changing in this section of the ChangeLog entry.
Comment 7 Tony Chang 2012-06-13 10:06:26 PDT
Comment on attachment 147232 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=147232&action=review

> Source/WebCore/ChangeLog:7
> +        Reviewed by NOBODY (OOPS!).
> +

It's also helpful to link to the spec here.
Comment 8 David Barr 2012-06-13 13:07:15 PDT
Created attachment 147397 [details]
Patch for landing

Updated ChangeLog
Comment 9 WebKit Review Bot 2012-06-13 22:13:14 PDT
Comment on attachment 147397 [details]
Patch for landing

Rejecting attachment 147397 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/LayoutTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/12961069
Comment 10 David Barr 2012-06-13 22:22:44 PDT
Created attachment 147484 [details]
Patch for landing

Oops; updated LayoutTests/ChangeLog.
Comment 11 WebKit Review Bot 2012-06-14 03:21:05 PDT
Comment on attachment 147484 [details]
Patch for landing

Clearing flags on attachment: 147484

Committed r120308: <http://trac.webkit.org/changeset/120308>
Comment 12 WebKit Review Bot 2012-06-14 03:21:10 PDT
All reviewed patches have been landed.  Closing bug.